Package org.eclipse.mat.query

## Interface IContextObjectSet

All Superinterfaces:
  `IContextObject`

    public interface IContextObjectSet
    extends IContextObject

Interface to describe a set of objects.

See Also:
  `ContextProvider`, `IContextObject`

### Method Summary

All Methods Instance Methods Abstract Methods
`int[]` `getObjectIds()` Context for a row representing several objects.
`java.lang.String` `getOQL()` (Optionally) return the OQL representing this set of objects.

### Methods inherited from interface org.eclipse.mat.query.IContextObject

`getObjectId`

### Method Detail

#### getObjectIds

    int[] getObjectIds()

Context for a row representing several objects.

Returns:
  the set of objects.

#### getOQL

    java.lang.String getOQL()

(Optionally) return the OQL representing this set of objects.

Returns:
  an OQL query representing this set of objects